/// <reference types="react" />
export declare type Callback = (start: number, end: number) => void;
export declare type Strategy = (text: any, callback: Callback) => void;
export declare type Range = [start: number, end: number];
export declare type Component = Element | JSX.Element | ((props: any) => Element) | ((props: any) => JSX.Element);
export declare type CustomObject = {
    highlight: Highlight;
    component?: Component;
    className?: string;
};
export declare type Highlight = string | RegExp | Strategy | CustomObject | Range | Highlight[];
export declare type StrategyAndComponent = {
    strategy: Strategy;
    component: Component;
};
export declare const highlightToStrategyAndComponents: (highlight: Highlight, classHint?: string, componentHint?: Component) => StrategyAndComponent[];
